pcl::cuda::ComputeXYZ Struct Reference

Compute the XYZ values for a point based on disparity information. More...

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/io/include/pcl/cuda/io/disparity_to_cloud.h>`

## Public Member Functions

| ComputeXYZ (int w, int h, int cx, int cy, float con)
template<typename Tuple >
__inline__ __host__ __device__ PointXYZRGB | operator() (const Tuple &t)

## Public Attributes

int | width
int | height
int | center_x
int | center_y
float | constant
float | bad_point

## Detailed Description

Compute the XYZ values for a point based on disparity information.

Definition at line 54 of file disparity_to_cloud.h.

## Constructor & Destructor Documentation

## ComputeXYZ()

pcl::cuda::ComputeXYZ::ComputeXYZ | ( | int | w,
|  | int | h,
|  | int | cx,
|  | int | cy,
|  | float | con
| ) |  |

inline

Definition at line 61 of file disparity_to_cloud.h.

References bad_point.

## Member Function Documentation

## operator()()

template<typename Tuple >

__inline__ __host__ __device__ PointXYZRGB pcl::cuda::ComputeXYZ::operator() | ( | const Tuple & | t | ) |

## Member Data Documentation

## bad_point

float pcl::cuda::ComputeXYZ::bad_point

Definition at line 59 of file disparity_to_cloud.h.

Referenced by ComputeXYZ().

## center_x

int pcl::cuda::ComputeXYZ::center_x

Definition at line 57 of file disparity_to_cloud.h.

## center_y

int pcl::cuda::ComputeXYZ::center_y

Definition at line 57 of file disparity_to_cloud.h.

## constant

float pcl::cuda::ComputeXYZ::constant

Definition at line 58 of file disparity_to_cloud.h.

## height

int pcl::cuda::ComputeXYZ::height

Definition at line 56 of file disparity_to_cloud.h.

## width

int pcl::cuda::ComputeXYZ::width

Definition at line 56 of file disparity_to_cloud.h.

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/io/include/pcl/cuda/io/disparity_to_cloud.h